autogen.sh: set -e separately, rather than putting -e in the shebang line

Otherwise, if someone uses "sh autogen.sh", the -e will get ignored.
diff --git a/autogen.sh b/autogen.sh
old mode 100755
new mode 100644
index 0d60b0a..16c0eb3
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
 
 if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
         cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \